import { type ActionReturnType, actions } from 'astro:actions';

export type BlockedUsers = Exclude<ActionReturnType<typeof actions.user.blocked>['data'], undefined>['blocked'];
export type BlockedUser = BlockedUsers[0];

export type BlockedUserCreateOrEditPopupState =
  | { create: { onUpdate: (blockedUser: BlockedUser) => void } }
  | { edit: { blockedUser: BlockedUser; onUpdate: (blockedUser: BlockedUser) => void } }
  | null;
